#!/bin/bash

set -e

# Check if cwm is installed
cwm < /dev/null > /dev/null || {
    echo "Try:
    sudo apt-get install cwm
or install from:
    http://www.w3.org/2000/10/swap/doc/cwm.html" >&2 ; exit
}

# Check each file with cwm, echo filename if OK
# cwm will output any errors to stderr otherwise
for f in $(find rdf -name '*ttl') ; do 
    cwm $f > /dev/null && echo $f
done
